Subject: Re: [bug#62282] [PATCH] gnu: gerbil: Upgrade to 0.17.0.

From: Bruno Victal <[email-masked]>
Date: Tue, 21 Mar 2023 13:57:36 +0000

Hi Juli,

On 2023-03-19 23:06, J. Sims via Guix-patches via wrote:
> Hello,
> 
> Attached is a patch to upgrade Gerbil to the latest version. In addition, it fixes a few issues:
> 
> * switch build code to use g-expressions
> * use the `#:tests?' argument of `arguments' instead of deleting the `check' phase
> * run `guix style'
> * fix issue with missing version file during build
> 
> Honestly, I'm not sure I fixed the latter issue in the most idiomatic way. I simply printed the appropriate s-expression to the appropriate file using Guile's `format'. If anyone has advice for a cleaner/more robust way to handle that, please let me know.
> 
> Note that I initially tried to fix the version file issue by ignoring the build instructions in the Gerbil guide and instead using the autotools build infrastructure whose artifacts can be seen in the top-level directory of the Gerbil repository. This ran into a different issue, and in the process of diagnosing it, I realized that the build infrastructure in question was written specifically for the previous version. There being no good reason to solve that problem over this one, and realizing that proper versioning would complicate the use of that system even more than solving the missing version file issue, I elected to pursue the route I did.
> 
> This is far too much information for a git commit message, but I did feel it worth mentioning somewhere.

You should split these changes into separate commits.

Take a look at <https://issues.guix.gnu.org/61845> or search the git history for “G-Expression”
for some inspiration in how to split them.

Cheers,
Bruno